using MongoDB.Bson;
using MongoDB.Bson.Serialization.Attributes;

namespace Marco.Pms.Model.TenantModels.MongoDBModel
{
    public class DirectoryDetails
    {
        [BsonId]
        [BsonRepresentation(BsonType.String)]
        public Guid Id { get; set; } = Guid.NewGuid();
        public string? Name { get; set; }

        [BsonRepresentation(BsonType.String)]
        public List<Guid> FeatureId { get; set; } = new List<Guid>();
        public bool Enabled { get; set; } = false;
        public int BucketLimit { get; set; } = 25;
        public bool OrganizationChart { get; set; } = false;
    }
}